package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserVideoCommentLike;

/**
 * 课堂评论点赞Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserVideoCommentLikeService
{
    /**
     * 查询课堂评论点赞
     *
     * @param id 课堂评论点赞主键
     * @return 课堂评论点赞
     */
    public FsUserVideoCommentLike selectFsUserVideoCommentLikeById(Long id);

    /**
     * 查询课堂评论点赞列表
     *
     * @param fsUserVideoCommentLike 课堂评论点赞
     * @return 课堂评论点赞集合
     */
    public List<FsUserVideoCommentLike> selectFsUserVideoCommentLikeList(FsUserVideoCommentLike fsUserVideoCommentLike);

    /**
     * 新增课堂评论点赞
     *
     * @param fsUserVideoCommentLike 课堂评论点赞
     * @return 结果
     */
    public int insertFsUserVideoCommentLike(FsUserVideoCommentLike fsUserVideoCommentLike);

    /**
     * 修改课堂评论点赞
     *
     * @param fsUserVideoCommentLike 课堂评论点赞
     * @return 结果
     */
    public int updateFsUserVideoCommentLike(FsUserVideoCommentLike fsUserVideoCommentLike);

    /**
     * 批量删除课堂评论点赞
     *
     * @param ids 需要删除的课堂评论点赞主键集合
     * @return 结果
     */
    public int deleteFsUserVideoCommentLikeByIds(Long[] ids);

    /**
     * 删除课堂评论点赞信息
     *
     * @param id 课堂评论点赞主键
     * @return 结果
     */
    public int deleteFsUserVideoCommentLikeById(Long id);


    void likeComment(String commentCode, Long userId);
    void unlikeComment(String commentCode, Long userId);
    boolean isCommentLiked(String commentCode, Long userId);
}
